Bug 1127250 (CVE-2014-5252) - CVE-2014-5252 openstack-keystone: token expiration date stored incorrectly
Summary: CVE-2014-5252 openstack-keystone: token expiration date stored incorrectly
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-5252
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20140725,reported=2...
Depends On: 1131344 1131345
Blocks: 1127260
TreeView+ depends on / blocked
 
Reported: 2014-08-06 13:05 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:08 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in keystone revocation events that resulted in the "issued_at" time being updated when a token created by the V2 API was processed by the V3 API. This could allow a user to evade token revocation. Only OpenStack Identity setups configured to make use of revocation events and UUID tokens were affected.
Clone Of:
Environment:
Last Closed: 2014-09-02 19:46:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1121 normal SHIPPED_LIVE Low: openstack-keystone security and bug fix update 2014-09-02 21:58:31 UTC
Red Hat Product Errata RHSA-2014:1122 normal SHIPPED_LIVE Low: openstack-keystone security and bug fix update 2014-09-02 21:58:25 UTC

Description Vasyl Kaigorodov 2014-08-06 13:05:04 UTC
It was reported [1] that in Keystone V2 token support, by creating a token using the V2 API, a user may evade token revocation.
When the token is processed by the V3 API, its "issued_at" time is wrongly updated and then the service will fail to revoke it.
Only Keystone setups configured to use revocation events and UUID tokens are affected.

CVE request has been sent to oss-security mailing list by upstream [2]

Commit that fixes this issue:
https://git.openstack.org/cgit/openstack/keystone/commit/?id=a4c73e4382cb062aa9f30fe1960d5014d3c49cc2

[1]: https://bugs.launchpad.net/keystone/+bug/1348820
[2]: http://seclists.org/oss-sec/2014/q3/296

Comment 2 Vasyl Kaigorodov 2014-08-06 14:17:40 UTC
It's stated in the Launchpad ticket that this would only impact Icehouse (openstack-2014.X) since that's where revocation events were added.

Comment 3 Garth Mollett 2014-08-15 05:35:45 UTC
Statement:

This issue does not affected openstack-keystone as shipped with Red Hat Enterprise Linux OpenStack Platform 4.0.

Comment 4 Garth Mollett 2014-08-15 05:39:40 UTC
Keystone in RHEL-OSP-5 (Icehouse) includes this code, although it is marked as experimental in Icehouse upstream, we do include an example of how to enable it in our documentation and thus will need to release an erratum.

Comment 6 Martin Prpič 2014-08-25 08:44:37 UTC
IssueDescription:

A flaw was found in keystone revocation events that resulted in the "issued_at" time being updated when a token created by the V2 API was processed by the V3 API. This could allow a user to evade token revocation. Only OpenStack Identity setups configured to make use of revocation events and UUID tokens were affected.

Comment 8 errata-xmlrpc 2014-09-02 17:58:52 UTC
This issue has been addressed in following products:

  OpenStack 5 for RHEL 6

Via RHSA-2014:1122 https://rhn.redhat.com/errata/RHSA-2014-1122.html

Comment 9 errata-xmlrpc 2014-09-02 17:59:14 UTC
This issue has been addressed in following products:

  OpenStack 5 for RHEL 7

Via RHSA-2014:1121 https://rhn.redhat.com/errata/RHSA-2014-1121.html


Note You need to log in before you can comment on or make changes to this bug.